William Morgan wrote:
> I'm happy to announce the release of Sup 0.7.
> 
> The big win in this release is that Ferret index corruption issues
> should now be fixed, thanks to an extensive programming of locking and
> thread-safety-adding.

Is it 1.9 compatible?  I do not see any mention on that.  I tried to 
install ferret and it fails compilation (this is with clang/ccc but I do 
not think this is the issue there).

ccc -I. -I/usr/local/include/ruby-1.9//amd64-freebsd7 
-I/usr/local/include/ruby-1.9//ruby/backward 
-I/usr/local/include/ruby-1.9/ -I.   -fPIC -O -pipe  -O2 -g -Wall 
-Wno-parentheses  -fPIC -D_FILE_OFFSET_BITS=64 -oglobal.o -c global.c
global.c:307:32: warning: format string is not a string literal 
(potentially insecure)
                    sprintf(q, s);
                               ^
global.c:372:24: error: incompatible type passing 'int', expected 
'struct timeval'
    rb_thread_wait_for(rb_time_interval(rb_float_new((double)micro_seconds/1000000.0)));
                       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
2 diagnostics generated.
*** Error code 1

-- 
Posted via http://www.ruby-forum.com/.